Bug 197373 - devel/py-stevedore: missing (runtime) dependency devel/py-pbr
Summary: devel/py-stevedore: missing (runtime) dependency devel/py-pbr
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Nicola Vitale
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-06 14:21 UTC by Andrej Ebert
Modified: 2018-12-31 13:42 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrej Ebert 2015-02-06 14:21:06 UTC
I have multimedia/subliminal running as cronjob, and had following error in my output today:

Traceback (most recent call last):
  File "/usr/local/bin/subliminal", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/local/lib/python2.7/site-packages/pkg_resources.py", line 2876, in <module>
    working_set = WorkingSet._build_master()
  File "/usr/local/lib/python2.7/site-packages/pkg_resources.py", line 449, in _build_master
    ws.require(__requires__)
  File "/usr/local/lib/python2.7/site-packages/pkg_resources.py", line 745, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/local/lib/python2.7/site-packages/pkg_resources.py", line 639, in resolve
    raise DistributionNotFound(req)
pkg_resources.DistributionNotFound: pbr>=0.6,!=0.7,<1.0

The night before it ran fine.

Manually installing devel/py-pbr solved it.

After some research, it seems that devel/py-pbr was installed before, but only as a build dependency of devel/py-stevedore/, so my "pkg autoremove" run yesterday removed it. I think it should be added as runtime dependency, rather than just a build dependency.

Curiosly, subliminal/stevedore seemed to need it only on one (the first after an update?) run, I just deinstalled py-pbr to test and subliminal ran fine without it. So not sure if it's a bug or I'm doing something wrong. Sorry if it's the latter.
Comment 1 Bugzilla Automation freebsd_committer 2015-02-06 14:21:06 UTC
Maintainers CC'd
Comment 2 commit-hook freebsd_committer 2015-02-07 14:46:55 UTC
A commit references this bug:

Author: nivit
Date: Sat Feb  7 14:46:44 UTC 2015
New revision: 378594
URL: https://svnweb.freebsd.org/changeset/ports/378594

Log:
  - Add devel/py-pbr to run dependencies [1]
  - Bump PORTREVISION

  PR:	197373
  Submitted by:	andrej@ebert.su

Changes:
  head/devel/py-stevedore/Makefile
Comment 3 Nicola Vitale freebsd_committer 2015-02-07 14:51:56 UTC
Fixed. Thank you for the report!